commit:     95c4542f733dd095490f84e4c3a44e49ec8af489
Author:     Lucian Poston <lucianposton <AT> pm <DOT> me>
AuthorDate: Fri Jan 10 05:39:01 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Jan 10 05:39:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95c4542f

app-misc/imgurbash2: Bump to 3.1

Closes: https://bugs.gentoo.org/696496
Signed-off-by: Lucian Poston <lucianposton <AT> pm.me>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-misc/imgurbash2/Manifest              |  1 +
 app-misc/imgurbash2/imgurbash2-3.1.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/app-misc/imgurbash2/Manifest b/app-misc/imgurbash2/Manifest
index 23691473003..cb4b50e306e 100644
--- a/app-misc/imgurbash2/Manifest
+++ b/app-misc/imgurbash2/Manifest
@@ -1 +1,2 @@
 DIST imgurbash2-2.1.tar.gz 3619 BLAKE2B 
01bb37615184113082a87b79b5bbda1707e36d8f4a28715e0686eb63f8d7c55f7aa760ecab9ab2457c1601e9cb0ff4b558cd08f8a77a123cfe97d8008ad1aa93
 SHA512 
32e7c39d3456f3d540af2db8b21d8a5724bf9b1db372953f3dd0ed21a6f7529209ec7afffe22410be46a99753202aca2454732d09c1314350187c5610b36ab9d
+DIST imgurbash2-3.1.tar.gz 9257 BLAKE2B 
d7383a89f96387a5dfa9096ad533f334e9e15ec5de8803a4e2623379d036e7f0810166e017b8d89d228418bb035a5dabd1e6d0e305d539544efb1b5fd4ae8bed
 SHA512 
0ec3b081dcd3da7a558c7895eafadc9c98f6b32c4aecb3ff579392599f785bf0716a80053b743ab32fe4e1a9f7253c9c08acf3d6f1c65d2a4c40d4c7ac222e59

diff --git a/app-misc/imgurbash2/imgurbash2-3.1.ebuild 
b/app-misc/imgurbash2/imgurbash2-3.1.ebuild
new file mode 100644
index 00000000000..c4ebb79aed2
--- /dev/null
+++ b/app-misc/imgurbash2/imgurbash2-3.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/ram-on/imgurbash2.git";
+else
+       SRC_URI="https://github.com/ram-on/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Bash script that uploads/deletes images to/from imgur"
+HOMEPAGE="https://github.com/ram-on/imgurbash2";
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="X"
+
+RDEPEND="
+       net-misc/curl
+       X? ( || ( x11-misc/xclip x11-misc/xsel ) )
+"
+
+src_install() {
+       einstalldocs
+       dobin imgurbash2
+}

Reply via email to